<h1>Pokedex</h1>
<div class="btn-group">
  <a class="btn btn-outline-primary" routerLink="addPokemon">Add Pokémon</a>
  <a class="btn btn-outline-primary" routerLink="addMove">Add Pokémon Move</a>
  <a class="btn btn-outline-primary" routerLink="addItem">Add Item</a>
</div>
<br>
<br>
<div class="album py-5 bg-light">
  <div class="container">
    <div class="row">
      <div *ngFor="let pokemon of pokedex" class="col-md-4">
        <div class="card mb-4 box-shadow">
          <img class="card-img-top" src="{{ pokemon.pokemonImageURL }}" alt="Card image cap" height="auto" width="auto">
          <div class="card-body">
            <p class="card-text">{{ pokemon.name }}</p>
            <div class="d-flex justify-content-between align-items-center">
              <div class="btn-group">
                <button (click)="AddToTeam(pokemon._id!)" type="button" class="btn btn-sm btn-outline-primary">Add to
                  team</button>
                <button (click)="Delete(pokemon._id!)" type="button"
                  class="btn btn-sm btn-outline-danger">Delete</button>
              </div>
              <div *ngFor="let pokemontype of pokemon.types">
                <small class="text-muted">{{ pokemonType[pokemontype]}}</small>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <router-outlet></router-outlet>
</div>